Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.exceptions
Class ConfigException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
                  es.inteco.xbrl.lenlocpenloc.errors.exceptions.ConfigException

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigException

extends XBRLENLOCException

Clase utilizada para notificar errores producidos en fallos de configuración, bien sea, por errores en formato de entrada, bien por llevar a cabo acciones no contempladas.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `errorInGlobalFileDeserialization` Indica que no se ha podido deserializar el fichero de configuración global.xml, posiblemente porque su formato no es válido.
`static java.lang.String` | `errorInMapFileDeserialization` Indica que no se ha podido deserializar el fichero de para un mapa determinado, posiblemente porque su formato no es válido.
`static java.lang.String` | `errorInReportFileDeserialization` Indica que no ha podido ser deserializado un documento de entrada en formato común, cuyo elemento raíz es Report.
`static java.lang.String` | `errorInValidationGlobalFile` Error de validación de esquema del fichero de configuración global.xml
`static java.lang.String` | `errorInValidationMapFile` Error de validación de un mapa de configuración.
`static java.lang.String` | `notExistDirectoryMap` No se ha podido encontrar el directorio ENLOCMaps, en el cual se encuentran los mapas utilizados por los servicios de transformación.
`static java.lang.String` | `notExistGlobalFile` No se ha encontrado el archivo de configuración Global.xml.
`static java.lang.String` | `notExistMapFile` No se encuentra el documento para el mapa usado en el servicio de transformación.
`static java.lang.String` | `notExistReportFile` No se encuentra el documento report indicado.
`static java.lang.String` | `notFoundInputDocumentToValidate` No se encuentra el documento a validar.
`static java.lang.String` | `notFoundModuleForReportInGlobal` No se ha encontrado la configuración para un determinado report en el fichero de configuración global.xml.
`static java.lang.String` | `notFoundReportInGlobal` No se encuentra el fichero de configuración global.xml, el cual debe estar en el directorio config.
`static java.lang.String` | `notFoundUnitCode` No se encuentra en la configuración el código definido en el documento XBRL o XML, según el proceso que se esté ejecutando.
`static java.lang.String` | `unsuportedEncoding` El juego de caracteres utilizado en el documento de entrada no es correcto, el cual debe ser UTF-8.

Fields inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`canNotResolveSchemaRef, errorContextWithoutDimensionContainer, errorContextWithoutScenario, errorCreatingTempFile, errorGettingFile, errorGettingNS, errorGettingReportID, errorGettingSchema, errorInicializingProcessor, errorInXSLTTransformation, errorNormalizeSchema, errorParamsTransformation, errorResolvingConfigPaths, errorSavingFileToByteArray, errorTryingViewInstance, errorTryingViewInstanceExternal, errorTryingViewInstanceResultFile, genericErrorValidatingInstance, notExistTempDirectory`

Constructor Summary
`ConfigException(java.lang.String message, java.lang.String[] parameters)` Crea una excepción sin indicar la causa de la excepción.
`ConfigException(java.lang.String message, java.lang.String[] parameters, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`ConfigException(java.lang.String message, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

Method Summary

Methods inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`getCodeError, getErrorsHandler, getMessage, setCodeError, setErrorsHandler`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorInGlobalFileDeserialization

    public static final java.lang.String errorInGlobalFileDeserialization

  Indica que no se ha podido deserializar el fichero de configuración global.xml, posiblemente porque su formato no es válido. Se debe comprobar que este fichero valida correctamente con el esquema al cual hace referencia, es decir, lenlocpenloc2010-global.xsd.

  See Also:
    Constant Field Values

### errorInReportFileDeserialization

    public static final java.lang.String errorInReportFileDeserialization

  Indica que no ha podido ser deserializado un documento de entrada en formato común, cuyo elemento raíz es Report. Es difícil que este error se produzca en los servicios XBRL-LENLOCPENLOC2010 debido a que los documentos de entrada son validados contra el esquema definido para ello (lenlocpenloc2010-io-interface.xsd) previamente a su deserialización.

  See Also:
    Constant Field Values

### unsuportedEncoding

    public static final java.lang.String unsuportedEncoding

  El juego de caracteres utilizado en el documento de entrada no es correcto, el cual debe ser UTF-8.

  See Also:
    Constant Field Values

### errorInValidationGlobalFile

    public static final java.lang.String errorInValidationGlobalFile

  Error de validación de esquema del fichero de configuración global.xml

  See Also:
    Constant Field Values

### errorInValidationMapFile

    public static final java.lang.String errorInValidationMapFile

  Error de validación de un mapa de configuración.

  See Also:
    Constant Field Values

### notFoundModuleForReportInGlobal

    public static final java.lang.String notFoundModuleForReportInGlobal

  No se ha encontrado la configuración para un determinado report en el fichero de configuración global.xml.

  See Also:
    Constant Field Values

### errorInMapFileDeserialization

    public static final java.lang.String errorInMapFileDeserialization

  Indica que no se ha podido deserializar el fichero de para un mapa determinado, posiblemente porque su formato no es válido. Se debe comprobar que este fichero valida correctamente con el esquema definido para mapas, es decir, lenlocpenloc2010-map.xsd.

  See Also:
    Constant Field Values

### notExistDirectoryMap

    public static final java.lang.String notExistDirectoryMap

  No se ha podido encontrar el directorio ENLOCMaps, en el cual se encuentran los mapas utilizados por los servicios de transformación.

  See Also:
    Constant Field Values

### notExistGlobalFile

    public static final java.lang.String notExistGlobalFile

  No se ha encontrado el archivo de configuración Global.xml.

  See Also:
    Constant Field Values

### notExistMapFile

    public static final java.lang.String notExistMapFile

  No se encuentra el documento para el mapa usado en el servicio de transformación.

  See Also:
    Constant Field Values

### notExistReportFile

    public static final java.lang.String notExistReportFile

  No se encuentra el documento report indicado.

  See Also:
    Constant Field Values

### notFoundInputDocumentToValidate

    public static final java.lang.String notFoundInputDocumentToValidate

  No se encuentra el documento a validar.

  See Also:
    Constant Field Values

### notFoundReportInGlobal

    public static final java.lang.String notFoundReportInGlobal

  No se encuentra el fichero de configuración global.xml, el cual debe estar en el directorio config.

  See Also:
    Constant Field Values

### notFoundUnitCode

    public static final java.lang.String notFoundUnitCode

  No se encuentra en la configuración el código definido en el documento XBRL o XML, según el proceso que se esté ejecutando.

  See Also:
    Constant Field Values

Constructor Detail

### ConfigException

    public ConfigException(java.lang.String message,
                           java.lang.String[] parameters,
                           java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `message` - constante correspondiente al mensaje
    `parameters` - parámetros para completar el mensaje
    `cause` - mensaje de la excepción original

### ConfigException

    public ConfigException(java.lang.String message,
                           java.lang.String[] parameters)

  Crea una excepción sin indicar la causa de la excepción.

  Parameters:
    `message` - constante correspondiente al mensaje de error
    `parameters` - parámetros para completar el mensaje de error

### ConfigException

    public ConfigException(java.lang.String message,
                           java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al mensaje
    `cause` - mensaje de la excepción original

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD